Subject: Re: update on draft-meadors-ediint-features-header and IANA review requested

From: Graham Klyne <[email-masked]>
Date: Wed, 02 Jun 2010 08:42:37 +0100

This has been sitting in my inbox for nearly a week, so I thought I should 
acknowledge receipt.   It's been a busy time for me, so I haven't domne anything 
about it yet, but I shall as soon as I can.  Probably next week.

#g
--

Kyle Meadors wrote:
> 
> 
> Alexey, Nevil,
> 
>  
> 
> I have made the changes to the BNF and other comments and re-submit my I-D.
> 
>  
> 
> Graham,
> 
>  
> 
> Per conversation with Alexey, I am requesting an IANA expert review on a 
> registering a new http and email header, EDIINT-Features. The request is 
> in the I-D listed below.  Thank you.
> 
>  
> 
> http://datatracker.ietf.org/doc/draft-meadors-ediint-features-header/
> 
>  
> 
> Kyle Meadors
> 
> Drummond Group Inc.
> 
> Director of EHR Testing
> 
> Principal, Test Process
> 
> 817-709-1627
> 
> [email-masked] <mailto:[email-masked]>
> 
>  
> 
> Calendar: http://tinyurl.com/KyleMeadors-DGI-Calendar
> 
>  
> 
> * * * * * * * * * * * * * * * * * * * * * * * *
> 
> CONFIDENTIALITY DISCLAIMER
> 
> This email, including attachments, is confidential and proprietary. It 
> constitutes exclusive communication solely to the addressee. Any entity 
> other than the intended addressee is prohibited from use of this 
> communication for any purpose. This email, including attachments, may 
> not be distributed, whole or in part.
> 
> * * * * * * * * * * * * * * * * * * * * * * * *
> 
>  
>

---

From: Alexey Melnikov <[email-masked]>
Date: Thu, 10 Jun 2010 16:24:15 +0100

Graham Klyne wrote:

> This has been sitting in my inbox for nearly a week, so I thought I 
> should acknowledge receipt.   It's been a busy time for me, so I 
> haven't domne anything about it yet, but I shall as soon as I can.  
> Probably next week.

Hi Graham,
Any news on this?

>> Per conversation with Alexey, I am requesting an IANA expert review 
>> on a registering a new http and email header, EDIINT-Features. The 
>> request is in the I-D listed below.  Thank you.
>>
>>  
>>
>> This email, including attachments, is confidential and proprietary. 
>> It constitutes exclusive communication solely to the addressee. Any 
>> entity other than the intended addressee is prohibited from use of 
>> this communication for any purpose. This email, including 
>> attachments, may not be distributed, whole or in part.
>>

-- 
IETF Application Area Director, <http://www.ietf.org/iesg/members.html>
Internet Messaging Team Lead, <http://www.isode.com>
JID: same as my email address

---

From: Alexey Melnikov <[email-masked]>
Date: Thu, 10 Jun 2010 16:50:56 +0100

Kyle Meadors wrote:

> Per conversation with Alexey, I am requesting an IANA expert review on 
> a registering a new http and email header, EDIINT-Features. The 
Nevil/Kyle,
I just sent a message to the Secretariat asking to send out the approval 
message (on behalf of IESG) for this document. But we are still waiting 
for Graham to approve the new header field.  

> [email-masked]
> constitutes exclusive communication solely to the addressee. Any 
> this communication for any purpose. This email, including attachments, 
> may not be distributed, whole or in part.
>

---

From: "Kyle Meadors" <[email-masked]>
Date: Thu, 10 Jun 2010 11:13:59 -0500

Thanks Alexey.

Kyle Meadors
DGI
 
* * * * * * * * * * * * * * * * * * * * * * * *
CONFIDENTIALITY DISCLAIMER
This email, including attachments, is confidential and proprietary. It
constitutes exclusive communication solely to the addressee. Any entity
other than the intended addressee is prohibited from use of this
communication for any purpose. This email, including attachments, may not be
distributed, whole or in part.
* * * * * * * * * * * * * * * * * * * * * * * *
-----Original Message-----
From: Alexey Melnikov [mailto:[email-masked]] 
Sent: Thursday, June 10, 2010 10:51 AM
To: Kyle Meadors
Cc: 'Nevil Brownlee'; [email-masked]; [email-masked]
Subject: Re: update on draft-meadors-ediint-features-header and IANA review
requested

Nevil/Kyle,

---

From: Graham Klyne <[email-masked]>
Date: Sat, 12 Jun 2010 08:16:42 +0100

Dear all,

My apologies for the delay in dealing with this.

My main comment is that there is no registration template per 
http://tools.ietf.org/html/rfc3864.  Normally, I would expect to see this 
template included in the IANA considerations section (which, as it stands, isn't 
really about IANA considerations per se, but a request for expert review - I 
think there may be a related process issue here which I'll raise separately with 
Alexey), or submitted separately to IANA per 
http://tools.ietf.org/html/rfc3864#ref-35

For example, it's not clear to me if this is requesting provisional or permanent 
registration.

I also note that the registration procedure is not cited, which would probably 
be helpful, though I'm not sure that's a requirement.

As for the header field itself, I see no problem with it.

#g
--

---

From: "Kyle Meadors" <[email-masked]>
Date: Mon, 14 Jun 2010 11:21:36 -0500

To confirm, my next step would be to resubmit a new version of this draft
but include this section below in the IANA consideration section. Question:
do I need to specific the protocol as AS2/AS1/AS3 or HTTP/mail?

This is a request for a permanent header registration.

Header field name: EDIINT-Features
Applicable protocol: AS2 (RFC 4130), AS1 (RFC 3335), AS3 (RFC 4823)
Status: Informational
Author/Change controller: IETF
Specification document(s): This I-D (will include a URI)
Related information: None.

Kyle Meadors
DGI
 
-----Original Message-----
From: Graham Klyne [mailto:[email-masked]] 
Sent: Saturday, June 12, 2010 2:17 AM
To: Kyle Meadors
Cc: 'Nevil Brownlee'; [email-masked]; 'Alexey Melnikov'
Subject: Re: update on draft-meadors-ediint-features-header and IANA review
requested

Dear all,

My main comment is that there is no registration template per 
http://tools.ietf.org/html/rfc3864.  Normally, I would expect to see this 
template included in the IANA considerations section (which, as it stands,
isn't 
really about IANA considerations per se, but a request for expert review - I

think there may be a related process issue here which I'll raise separately
with 
Alexey), or submitted separately to IANA per 
http://tools.ietf.org/html/rfc3864#ref-35

For example, it's not clear to me if this is requesting provisional or
permanent 
registration.

I also note that the registration procedure is not cited, which would
probably 
be helpful, though I'm not sure that's a requirement.

#g
--

---

From: Alexey Melnikov <[email-masked]>
Date: Mon, 14 Jun 2010 17:33:35 +0100

Hi Kyle,

Kyle Meadors wrote:

>but include this section below in the IANA consideration section.
>
Yes.

>Question:
I think this should be one or more of "mail", "http" (per RFC 3864):

   Applicable protocol:
      Specify "mail" (RFC 2822), "mime" (RFC 2045), "http" (RFC 2616),
      "netnews" (RFC 1036), or cite any other standards-track RFC
      defining the protocol with which the header is intended to be
      used.

---

From: Graham Klyne <[email-masked]>
Date: Mon, 14 Jun 2010 19:53:14 +0100

>> This is a request for a permanent header registration.

If it's a request for permanent registration, I'd be looking for adequate
evidence of IETF consensus - a note from you (Alexey) would suffice.
(Otherwise, I'd recommend registration as provisional until any applicable
last-call process has been completed, with a view to promoting it at that point.)

>      defining the protocol with which the header is intended to be

Agreed.  The comments about use with AS2, etc, would usefully be included in the 
"Related information" section of the template.

>> Author/Change controller: IETF

If this is "informational", is it properly under IETF change control?  Or is 
there an EDIInt consortium or body that can more usefully be cited?

>> Specification document(s): This I-D (will include a URI)

As a process detail, I think the actual registration would then have to take 
place during the IANA considerations processing phase of RFC publication?  Thus, 
I think we need to be clear that there's adequate consensus for a permanent 
registration before activating the publication process.  That's an IESG call to 
make.

#g
--

>> From: Graham Klyne [mailto:[email-masked]] Sent: Saturday, June 12, 
>> 2010 2:17 AM
>> To: Kyle Meadors
>> http://tools.ietf.org/html/rfc3864.  Normally, I would expect to see 
>> this template included in the IANA considerations section (which, as 
>> it stands,
>> isn't really about IANA considerations per se, but a request for 
>> expert review - I
>>
>> with Alexey), or submitted separately to IANA per 
>> permanent registration.
>> probably be helpful, though I'm not sure that's a requirement.
>>

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 15 Jun 2010 12:01:29 +0100

Graham Klyne wrote:

> it stands, isn't really about IANA considerations per se, but a 
> request for expert review - I think there may be a related process 
> issue here which I'll raise separately with Alexey), or submitted 
> separately to IANA per http://tools.ietf.org/html/rfc3864#ref-35
>

I think after discussing this with you we agreed that the header should 
be registered as "provisional".

> I also note that the registration procedure is not cited,

Right, an Informative reference to RFC 3864 would help.

> which would probably be helpful, though I'm not sure that's a 
> requirement.
>